Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Form.Component.Button

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.Button

Direct Known Subclasses:
  jala.Form.Component.Submit

class jala.Form.Component.Button
extends jala.Form.Component.Input

Subclass of jala.Form.Component.Input which renders a button.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Button (<String> name)` Creates a new Button component instance

Method Summary
`void` | `render(<Object> attr, <Object> value, <Object> reqData)` Renders a button to the response.
`Object` | `renderControls(attr, value)` Creates a new attribute object for this button.

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, checkRequirements, parseValue`

Constructor Detail

### jala.Form.Component.Button

    jala.Form.Component.Button(<String> name)

Creates a new Button component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Button component

Method Detail

### render

    void render(<Object> attr, <Object> value, <Object> reqData)

Renders a button to the response.

Parameters:

`attr` - Basic attributes for this element.

`value` - Value to be used for rendering this element.

`reqData` - Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

### renderControls

    Object renderControls(attr, value)

Creates a new attribute object for this button.

Returns:

Object with all attributes set for this button.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008